# SEMAT Model integration

## STAKEHOLDERS

- [ ] All the different groups of stakeholders that are, or will be, affected by the development and operation of the software system are identified.
- [ ] There is agreement on the stakeholder groups to be represented. At a minimum, the stakeholders groups that fund, use, support, and maintain the system have been considered.
- [ ] The responsibilities of the stakeholder representatives have been defined.
- [ ] The stakeholder representatives have agreed to take on their responsibilities.
- [ ] The stakeholder representatives are authorized to carry out their responsibilities.
- [ ] The collaboration approach among the stakeholder representatives has been agreed.
- [ ] The stakeholder representatives support and respect the team's way of working.
- [ ] The stakeholder representatives assist the team in accordance with their responsibilities.
- [ ] The stakeholder representatives provide feedback and take part in decision making in a timely manner.
- [ ] The stakeholder representatives promptly communicate changes that are relevant for their stakeholder groups.
- [ ] The stakeholder representatives have agreed upon their minimal expectations for the next deployment of the new system.
- [ ] The stakeholder representatives are happy with their involvement in the work.
- [ ] The stakeholder representatives agree that their input is valued by the team and treated with respect.
- [ ] The team members agree that their input is valued by the stakeholder representatives and treated with respect.
- [ ] The stakeholder representatives agree with how their different priorities and perspectives are being balanced to provide a clear direction for the team.
- [ ] The stakeholder representatives provide feedback on the system from their stakeholder group perspective.
- [ ] The stakeholder representatives confirm that they agree that the system is ready for deployment.
Stakeholders are using the new system and providing feedback on their experiences.
- [ ] The stakeholders confirm that the new system meets their expectations.

## OPPORTUNITY

- [ ] An idea for a way of improving current ways of working, increasing market share or applying a new or innovative software system has been identified.
- [ ] At least one of the stakeholders wishes to make an investment in better understanding the opportunity and the value associated with addressing it.
- [ ] The other stakeholders who share the opportunity have been identified.
- [ ] The stakeholders in the opportunity and the proposed solution have been identified.
- [ ] The stakeholders' needs that generate the opportunity have been established.
Any underlying problems and their root causes have been identified.
- [ ] It has been confirmed that a software-based solution is needed.
- [ ] At least one software-based solution has been proposed.
- [ ] The value of addressing the opportunity has been quantified either in absolute terms or in returns or savings per time period (e.g. per annum).
- [ ] The impact of the solution on the stakeholders is understood.
- [ ] The value that the software system offers to the stakeholders that fund and use the software system is understood.
- [ ] The success criteria by which the deployment of the software system is to be judged are clear.
- [ ] The desired outcomes required of the solution are clear and quantified.
- [ ] A solution has been outlined.
- [ ] The indications are that the solution can be developed and deployed within constraints.
- [ ] The risks associated with the solution are acceptable and manageable.
- [ ] The indicative (ball-park) costs of the solution are less than the anticipated value of the opportunity.
- [ ] The reasons for the development of a software-based solution are understood by all members of the team.
- [ ] It is clear that the pursuit of the opportunity is viable.
- [ ] A usable system that demonstrably addresses the opportunity is available.
- [ ] The stakeholders agree that the available solution is worth deploying.
- [ ] The stakeholders are satisfied that the solution produced addresses the opportunity.
- [ ] The solution has started to accrue benefits for the stakeholders.
- [ ] The return-on-investment profile is at least as good as anticipated.

## SOFTWARE system

- [ ] The criteria to be used when selecting the architecture have been agreed on.
- [ ] Hardware platforms have been identified.
- [ ] Programming languages and technologies to be used have been selected.
- [ ] System boundary is known.
- [ ] Significant decisions about the organization of the system have been made.
- [ ] Buy, build and reuse decisions have been made.
- [ ] Key architectural characteristics have been demonstrated.
- [ ] The system can be exercised and its performance can be measured.
- [ ] Critical hardware configurations have been demonstrated.
- [ ] Critical interfaces have been demonstrated.
- [ ] The integration with other existing systems has been demonstrated.
- [ ] The relevant stakeholders agree that the demonstrated architecture is appropriate.
- [ ] The system can be operated by stakeholders who use it.
- [ ] The functionality provided by the system has been tested.
- [ ] The performance of the system is acceptable to the stakeholders.
- [ ] Defect levels are acceptable to the stakeholders.
- [ ] The system is fully documented.
- [ ] Release content is known.
- [ ] The added value provided by the system is clear.
- [ ] Installation and other user documentation are available.
- [ ] The stakeholder representatives accept the system as fit-for-purpose.
- [ ] The stakeholder representatives want to make the system operational.
- [ ] Operational support is in place.
- [ ] The system has been made available to the stakeholders intended to use it.
- [ ] At least one example of the system is fully operational.
- [ ] The system is fully supported to the agreed service levels.
- [ ] The system has been replaced or discontinued.
- [ ] The system is no longer supported.
- [ ] There are no “official” stakeholders who still use the system.
- [ ] Updates to the system will no longer be produced.

## work

- [ ] The result required of the work being initiated is clear.
- [ ] Any constraints on the work’s performance are clearly identified.
- [ ] The stakeholders that will fund the work are known.
- [ ] The initiator of the work is clearly identified.
- [ ] The stakeholders that will accept the results are known.
- [ ] The source of funding is clear.
- [ ] The priority of the work is clear.
- [ ] Commitment is made.
- [ ] Cost and effort of the work are estimated.
- [ ] Resource availability is understood.
- [ ] Governance policies and procedures are clear.
- [ ] Risk exposure is understood.
- [ ] Acceptance criteria are defined and agreed with client.
- [ ] The work is broken down sufficiently for productive work to start.
- [ ] Tasks have been identified and prioritized by the team and stakeholders.
- [ ] A credible plan is in place.
- [ ] Funding to start the work is in place.
- [ ] The team or at least some of the team members are ready to start the work.
- [ ] Integration and delivery points are defined.
- [ ] Development work has been started.
- [ ] Work progress is monitored.
- [ ] The work is being broken down into actionable work items with clear definitions of done.
- [ ] Team members are accepting and progressing tasks.
- [ ] Tasks are being completed.
- [ ] Unplanned work is under control.
- [ ] Risks are under control as the impact if they occur and the likelihood of them occurring have been reduced to acceptable levels.
- [ ] Estimates are revised to reflect the team’s performance.
- [ ] Measures are available to show progress and velocity.
- [ ] Re-work is under control.
- [ ] Tasks are consistently completed on time and within their estimates.
- [ ] All outstanding tasks are administrative housekeeping or related to preparing the next piece of work.
- [ ] Work results have been achieved.
- [ ] The stakeholder(s) has accepted the resulting software system.
- [ ] Lessons learned have been itemized, recorded and discussed.
- [ ] Metrics have been made available.
- [ ] Everything has been archived.
- [ ] The budget has been reconciled and closed.
- [ ] The team has been released.
- [ ] There are no outstanding, uncompleted tasks.

